## python-certbot-dns-linode 1.7.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-linode
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-certbot-dns-linode 0.26.0

=== debian/changelog ===
python-certbot-dns-linode (0.26.0-1) unstable; urgency=medium

  * Initial release. (Closes: #903806)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 14 Jul 2018 22:40:45 -0400

=== debian/control ===
Source: python-certbot-dns-linode
Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-acme (>= 0.21.1~),
               python3-certbot (>= 0.21.1~),
               python3-lexicon (>= 2.2.1~),
               python3-mock,
               python3-setuptools (>= 1.0),
               python3-sphinx (>= 1.3.1-1~),
               python3-sphinx-rtd-theme,
               python3-zope.interface
Standards-Version: 4.1.5
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-certbot-dns-linode
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Enhances: certbot
Description: Linode DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the Linode DNS plugin to the main application.

Package: python-certbot-dns-linode-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the Linode DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This package contains the documentation for the Linode DNS plugin to
 the main application.

## python-certbot-dns-linode 0.31.0

=== debian/changelog ===
python-certbot-dns-linode (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Bump deps per upstream.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 20:15:27 -0500

python-certbot-dns-linode (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Nov 2018 18:52:19 -0500

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 11~),
                dh-python,
                python3,
-               python3-acme (>= 0.21.1~),
-               python3-certbot (>= 0.21.1~),
+               python3-acme (>= 0.31.0~),
+               python3-certbot (>= 0.31.0~),
                python3-lexicon (>= 2.2.1~),
                python3-mock,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode

## python-certbot-dns-linode 0.35.1

=== debian/changelog ===
python-certbot-dns-linode (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1
  * Bump certbot dep version and add to Depends

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 09 Jul 2019 19:27:18 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3,
                python3-acme (>= 0.31.0~),
-               python3-certbot (>= 0.31.0~),
+               python3-certbot (>= 0.34.0~),
                python3-lexicon (>= 2.2.1~),
                python3-mock,
                python3-setuptools (>= 1.0),
@@ -23,7 +23,8 @@
 
 Package: python3-certbot-dns-linode
 Architecture: all
-Depends: ${python3:Depends},
+Depends: certbot (>= 0.34.0~),
+         ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot
 Description: Linode DNS plugin for Certbot

## python-certbot-dns-linode 1.7.0

=== debian/changelog ===
python-certbot-dns-linode (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Bump dh to 13

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 04 Aug 2020 20:43:08 -0400

python-certbot-dns-linode (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch to using Provides for API compatibility
  * Bump deps per setup.py
  * Bump S-V, switching to debhelper-compat

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 20:02:36 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme (>= 0.31.0~),
-               python3-certbot (>= 0.34.0~),
-               python3-lexicon (>= 2.2.1~),
+               python3-acme-abi-1,
+               python3-certbot-abi-1 (>= 1.1),
+               python3-lexicon (>= 2.2.3~),
                python3-mock,
+	       python3-pytest,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode
@@ -23,7 +24,8 @@
 
 Package: python3-certbot-dns-linode
 Architecture: all
-Depends: certbot (>= 0.34.0~),
+Depends: certbot,
+	 python3-certbot-abi-1 (>= 1.1),
          ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-linode

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-linode \
		-p python-certbot-dns-linode-doc
	dh_installdocs -p python3-certbot-dns-linode

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot-dns-linode/certbot-dns-linode-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-linode 2.1.0

=== debian/changelog ===
python-certbot-dns-linode (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Dec 2022 20:31:48 -0500

python-certbot-dns-linode (2.0.0-1) unstable; urgency=medium

  * New signing key, see bug #999503
  * New upstream version 2.0.0
  * Drop no longer needed dep on zope.interface
  * Bump certbot, acme versions
  * Run wrap-and-sort
  * Import upstream metadata, bump S-V from Debian Janitor

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 24 Nov 2022 22:49:12 -0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1,
-               python3-certbot-abi-1 (>= 1.1),
+               python3-acme-abi-2 (>= 2.0),
+               python3-certbot-abi-2 (>= 2.0),
                python3-lexicon (>= 2.2.3~),
                python3-mock,
-	       python3-pytest,
-               python3-setuptools (>= 1.0),
+               python3-pytest,
+               python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
-               python3-sphinx-rtd-theme,
-               python3-zope.interface
-Standards-Version: 4.5.0
+               python3-sphinx-rtd-theme
+Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode
@@ -25,9 +24,9 @@
 Package: python3-certbot-dns-linode
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.1),
-         ${python3:Depends},
-         ${misc:Depends}
+         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Enhances: certbot
 Description: Linode DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -49,7 +48,7 @@
 Package: python-certbot-dns-linode-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the Linode DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

## python-certbot-dns-linode 2.9.0

=== debian/changelog ===
python-certbot-dns-linode (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0 (Closes: #1049421)
  * Bump deps based on setup.py
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 16 Feb 2024 15:20:13 -0500

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-2 (>= 2.0),
-               python3-certbot-abi-2 (>= 2.0),
-               python3-lexicon (>= 2.2.3~),
+               python3-acme-abi-2 (>= 2.9),
+               python3-certbot-abi-2 (>= 2.9),
+               python3-lexicon (>= 3.14.1~),
                python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME = certbot-dns-linode
 
@@ -16,3 +18,8 @@
 	dh_installdocs --doc-main-package=python3-certbot-dns-linode \
 		-p python-certbot-dns-linode-doc
 	dh_installdocs -p python3-certbot-dns-linode
+
+override_dh_gencontrol:
+	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
+	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
+	dh_gencontrol -- -Tdebian/abi.substvars

## python-certbot-dns-linode 4.0.0

=== debian/changelog ===
python-certbot-dns-linode (4.0.0-2) unstable; urgency=medium

  * Team Upload
  * Drop extraneous dependency on python3-mock (Closes: #1106509)
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/rules with newer & shorter syntax
  * Rewrite d/watch in v5 format

  [ Debian Janitor ]
  * Apply multi-arch hints.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 15:43:42 +0100

python-certbot-dns-linode (4.0.0-1) unstable; urgency=medium

  * d/watch: newer packages use an underscore
  * New upstream version 4.0.0
  * Bump dependency requirements (Closes: #1106475)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 21:41:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,26 @@
 Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-acme-abi-2 (>= 2.9),
-               python3-certbot-abi-2 (>= 2.9),
+               python3-acme-abi-4 (>= 4.0~),
+               python3-certbot-abi-4 (>= 4.0~),
                python3-lexicon (>= 3.14.1~),
-               python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-linode
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-linode
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         python3-certbot-abi-4 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot
@@ -49,6 +46,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Documentation for the Linode DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,9 @@
 export PYBUILD_NAME = certbot-dns-linode
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. \
 		http_proxy='127.0.0.1:9' \
 		https_proxy='127.0.0.1:9' \

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/certbot-dns-linode/
Matching-Pattern: certbot_dns_linode-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(rc|a|b|c)/~$1/
